Bug 1735278 - gnome-python2: FTBFS in Fedora rawhide/f31
Summary: gnome-python2: FTBFS in Fedora rawhide/f31
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-python2
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Colin Walters
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedFreezeException
Depends On:
Blocks: F31FTBFS F31BetaFreezeException 1732841
TreeView+ depends on / blocked
 
Reported: 2019-07-31 19:23 UTC by Fedora Release Engineering
Modified: 2019-08-30 17:27 UTC (History)
13 users (show)

Fixed In Version: gnome-python2-2.28.1-27.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-30 17:27:32 UTC


Attachments (Terms of Use)
build.log (32.00 KB, text/plain)
2019-07-31 19:23 UTC, Fedora Release Engineering
no flags Details
root.log (32.00 KB, text/plain)
2019-07-31 19:23 UTC, Fedora Release Engineering
no flags Details
state.log (653 bytes, text/plain)
2019-07-31 19:23 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2019-07-31 19:23:39 UTC
gnome-python2 failed to build from source in Fedora rawhide/f31

https://koji.fedoraproject.org/koji/taskinfo?taskID=36633604


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild
Please fix gnome-python2 at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
gnome-python2 will be orphaned. Before branching of Fedora 32,
gnome-python2 will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Fedora Release Engineering 2019-07-31 19:23:45 UTC
Created attachment 1596318 [details]
build.log

file build.log too big, will only attach last 32768 bytes

Comment 2 Fedora Release Engineering 2019-07-31 19:23:48 UTC
Created attachment 1596321 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Fedora Release Engineering 2019-07-31 19:23:50 UTC
Created attachment 1596323 [details]
state.log

Comment 4 Ben Cotton 2019-08-13 17:04:12 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 5 Ben Cotton 2019-08-13 18:51:16 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.

Comment 6 Andrew Toskin 2019-08-16 18:57:51 UTC
I don't understand why mockbuild fails with this error:

  Directory not found: /builddir/build/BUILDROOT/gnome-python2-2.28.1-26.fc31.arm/gtk-2.0/gnome

"gtk-2.0" directories are only mentioned in the %files sections, and are all prefixed with %{python2_sitearch}. So why would it be looking for ".../gtk-2.0/gnome" directly under %{buildroot} ?

Comment 7 Fedora Update System 2019-08-28 15:55:19 UTC
FEDORA-2019-dd8c4e8c66 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-dd8c4e8c66

Comment 8 Fedora Blocker Bugs Application 2019-08-28 15:58:26 UTC
Proposed as a Freeze Exception for 31-beta by Fedora user pbrobinson using the blocker tracking app because:

 Fix the SoAS images compose. With all the various retirements it broke the Sugar SoAS compose so this fixes it up

Comment 9 Adam Williamson 2019-08-28 16:34:54 UTC
+1 FE to fix a deliverable, sure.

Comment 10 František Zatloukal 2019-08-29 07:46:28 UTC
Sure, +1 FE

Comment 11 Kamil Páral 2019-08-30 08:35:37 UTC
+1 FE, making it accepted

Comment 12 Fedora Update System 2019-08-30 17:27:32 UTC
gnome-python2-2.28.1-27.fc31, gnome-python2-desktop-2.32.0-38.fc31, sugar-0.114-1.fc31, sugar-artwork-0.114-1.fc31, sugar-browse-203.1-1.fc31, sugar-datastore-0.114-1.fc31, sugar-toolkit-gtk3-0.114-1.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.